# Court Filings

### Fields

| Field          | Type   | Description                                     |
| -------------- | ------ | ----------------------------------------------- |
| caseName       | String | Case name                                       |
| courtName      | String | Court name                                      |
| dateFiled      | String | ISO 8601 formatted date the case was filed      |
| dateTerminated | String | ISO 8601 formatted date the case was terminated |
| defendant      | String | Defendant name in the case                      |
| districtName   | String | District name                                   |
| docketId       | Int    | Docket ID                                       |
| natureOfSuit   | String | Nature of suit                                  |
| plaintiff      | String | Plaintiff name in the case                      |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
       courtFilings {
            caseName
            courtName
            dateFiled
            dateTerminated
            defendant
            districtName
            docketId
            natureOfSuit
            plaintiff
       }
    }
}

# variables
{ "domain": "meta.com" }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/data-points/operating-data/untitled-5.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
